function Efield = FunEfieldinit(MeshX, MeshY, Nx, Ny, LengthX, LengthY)
%FUNEFIELDINT This function returns an initial profile for the complex 
% scalar E-field. 
% Author: Patrick Kano, Paul Lundquist
% Applied Energetics, Inc.
% Modification Dates [M/D/Y]: 10/03/10 - Initial function definition

%Uniform
%Efield = ones(2*Nx,2*Ny)/(LengthX*LengthY);

%Gaussian
Efield = exp(-(MeshX.^2+MeshY.^2)/(0.002^2));

end %function definition